@Echo Off

Rem   ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
Rem  Copyright (C) 1999 Bull S.A.
Rem  Contact: jonas-team@objectweb.org
Rem  
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem  
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem  
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem  
Rem  Initial developer(s): ____________________________________.
Rem   Contributor(s): ______________________________________.
Rem	00/22/05  Roland Kamsikav (email: Roland.Kamsika@amonite.co.uk)
Rem	          Versions of this script created from a contribution
Rem               of Roland Kamsika
Rem	          (Portions provided by Anatole Tresch & Rüdiger Breit)
Rem	02/15/03  Emmanuel Cecchet: %JAVA_OPTS% as last parameter for jvm
Rem     02/31/05  François Exertier: %TOMCAT_OPTS% parameter setting
Rem
Rem   ---------------------------------------------------------------------------
Rem   $Id$
Rem   ---------------------------------------------------------------------------



Rem  Check environment variables:
if "%JONAS_ROOT%"=="" Goto SetRoot

Rem set the Environment Variables
call %JONAS_ROOT%\bin\nt\config_env.bat

Rem Positioning Tomcat options
set TOMCAT_OPTS=
if NOT EXIST "%TOMCAT_HOME%" goto catahome
set TOMCAT_OPTS=%TOMCAT_OPTS% -Dtomcat.home=%TOMCAT_HOME%
:catahome
if NOT EXIST "%CATALINA_HOME%" goto catabase
set TOMCAT_OPTS=%TOMCAT_OPTS% -Dcatalina.home=%CATALINA_HOME%
:catabase
if NOT EXIST "%CATALINA_BASE%" goto endtomcatopts
set TOMCAT_OPTS=%TOMCAT_OPTS% -Dcatalina.base=%CATALINA_BASE%
:endtomcatopts

%JAVA%  -Dinstall.root=%JONAS_ROOT% -Djava.security.policy=%JONAS_ROOT%\config\java.policy %TOMCAT_OPTS% %JAVA_OPTS%  org.objectweb.jonas.server.Server %1 %2 %3 %4 %5 %6 %7 %8 %9
Goto End

:SetRoot
@echo "JONAS_ROOT must be set"
Goto End

:End

